#!/bin/sh -e

VERSION=$2
DIR=findbugs-$VERSION
TAR=findbugs_$VERSION.orig.tar.bz2

# clean up the upstream tarball
unzip -x $3
cd $DIR
#Remove shipped jar + doc without sources
rm -rf lib/*.jar lib/*.zip lib/*.txt
rm -rf src/doc/pressRelease.pdf doc/pressRelease.pdf build-lib/
cd ..
tar jcvf ../$TAR $DIR
rm -rf $DIR $3

# move to directory 'tarballs'
if [ -r .svn/deb-layout ]; then
    . .svn/deb-layout
    mv $TAR $origDir
    echo "moved $TAR to $origDir"
fi

exit 0
